<template>
    <modal name="tds"
           class="arcticmodal-container full-viewport"
           width="600"
           height="auto"
           adaptive
           :clickToClose="false"
           @before-open="beforeOpen"
           @before-close="beforeClose">
        <tds-iframe :data="data"></tds-iframe>
    </modal>
</template>
<script>
  import {getLoanById} from '@/utils/api'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import {UNSET_ERRORS} from '@/store/mutation-types'
  import tdsIframe from './tdsIframe.vue';

  export default {
    name: 'tdsModal',
    data() {
      return {
        data: {},
      }
    },
    props: ['tdsData'],
    mixins: [
      ErrorHandleMixin
    ],
    components: {
      tdsIframe
    },

    created () {
        if (this.tdsData) {
          this.data = this.tdsData;
        }
    },

    // 5543735484626654 2020/1 362
    mounted () {


      window.addEventListener('message', postMessage, false);
    },

    beforeDestroy () {
      window.removeEventListener('message', postMessage);
    },

    methods: {

      postMessage (e) {
        console.log('Post Message', e);
      },

      beforeOpen(event) {
        if (!this.tdsData) {
          this.data = event.params;
        }
        this.$helpers.noscroll(true);
      },

      beforeClose () {
        this.$helpers.noscroll(false);
      },

      close () {
        this.$modal.hide('tds');
        this.$emit('close');
      }
    }
  }
</script>
<style scoped>
    h3 {
        margin-bottom: 0px !important;
    }

    .buttons {
        text-align: center
    }
</style>
